Package org.eclipse.emf.spi.cdo

# Class InternalCDOXATransaction.InternalCDOXACommitContext.CDOXAState

java.lang.Object
org.eclipse.emf.spi.cdo.InternalCDOXATransaction.InternalCDOXACommitContext.CDOXAState

Enclosing interface:
  InternalCDOXATransaction.InternalCDOXACommitContext

public abstract static class InternalCDOXATransaction.InternalCDOXACommitContext.CDOXAState extends Object
If the meaning of this type isn't clear, there really should be more of a description here...

Since:
  3.0
Author:
  Simon McDuff

## Constructor Summary

Constructors
Constructor
Description
`CDOXAState()`

## Method Summary

Modifier and Type
Method
Description
`void`
`check_result(CDOSessionProtocol.CommitTransactionResult result)`
`abstract void`
`handle(InternalCDOXATransaction.InternalCDOXACommitContext xaContext, IProgressMonitor progressMonitor)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CDOXAState

public CDOXAState()

## Method Details

### check_result

public void check_result(CDOSessionProtocol.CommitTransactionResult result)

### handle

public abstract void handle(InternalCDOXATransaction.InternalCDOXACommitContext xaContext, IProgressMonitor progressMonitor) throws Exception

Throws:
  `Exception`